Cyberduck Mountain Duck CLI

#972 closed defect (wontfix)

invalid path with //

Reported by: slith76 Owned by: dkocher
Priority: high Milestone: 2.7.3
Component: ftp Version: 2.7
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

hello,

since 2.7 (but also 2.7.1) i can not use cyberduck with the url ftp://ftphost//directory ! The URL with two "/" amended to one "/" and my Ftp Server said:

NOOP
200 NOOP Command Successful
CWD /obelix_user_server
550 Invalid Path

Is there a reason for it?

Oliver

Change History (4)

comment:1 Changed on Dec 16, 2006 at 7:04:15 PM by dkocher

  • Component changed from core to ftp
  • Description modified (diff)

Since 2.7 paths are normalized. See Path.java. A CWD command to /obelix_user_server should be the same as to obelix_user_server.

comment:2 Changed on Dec 18, 2006 at 2:48:36 PM by slith76

A CWD command to /obelix_user_server should be the same as to obelix_user_server.

on my Netware FTP Server is /obelix_user_server and obelix_user_server not the same.

/obelix_user_server: changes into the dir obelix_user_server but obelix_user_server: changes on the server (root)

comment:3 Changed on Dec 20, 2006 at 9:13:25 PM by dkocher

  • Milestone set to 2.7.2
  • Resolution set to wontfix
  • Status changed from new to closed

As of r2696, when the setting path.normalize is set to false, paths are not normalized. Does have side effects however, see #935.

To disable the normalizing of paths, enter in a Terminal.app window:

defaults write ch.sudo.cyberduck path.normalize false

comment:4 Changed on Feb 9, 2007 at 1:14:16 PM by dkocher

  • Milestone changed from 2.7.2 to 2.7.3

As of r2828 we no longer normalize '' to '/'.

Note: See TracTickets for help on using tickets.
swiss made software